/* ***********************************************************************
**
**  Copyright (C) 2003  Jesper Hansen <jesperh@telia.com> and 
**			Romuald Bialy (MIS) <romek_b@o2.pl>.
**
**
**  Yampp-7/USB - low level support library
**  File MMC.H  - MultiMedia Card support header.
**
*************************************************************************
**
**   This file is part of the yampp system.
**
**  This program is free software; you can redistribute it and/or
**  modify it under the terms of the GNU General Public License
**  as published by the Free Software Foundation; either version 2
**  of the License, or (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software Foundation, 
**  Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
**
*************************************************************************
**
**  Revision History
**
**  when         what  who	why
**
**  2003-01-22   1.0   MIS      initial public release
**
*********************************************************************** */

#define MMC_PORT	PORTE
#if defined (__AVR_ATmega161__)
 #define MMC_CS		PE2
#else
 #define MMC_CS		PORTE2
#endif

// MMC commands
#define MMC_GO_IDLE_STATE		0
#define MMC_SEND_OP_COND		1
#define MMC_SEND_CSD			9
#define MMC_SEND_CID			10
#define MMC_SEND_STATUS			13
#define MMC_SET_BLOCKLEN		16
#define MMC_READ_SINGLE_BLOCK		17
#define MMC_WRITE_BLOCK			24
#define MMC_PROGRAM_CSD			27
#define MMC_SET_WRITE_PROT		28
#define MMC_CLR_WRITE_PROT		29
#define MMC_SEND_WRITE_PROT		30
#define MMC_TAG_SECTOR_START		32
#define MMC_TAG_SECTOR_END		33
#define MMC_UNTAG_SECTOR		34
#define MMC_TAG_ERASE_GROUP_START 	35
#define MMC_TAG_ERARE_GROUP_END		36
#define MMC_UNTAG_ERASE_GROUP		37
#define MMC_ERASE			38
#define MMC_CRC_ON_OFF			59

#define R1_BUSY				128
#define R1_PARAMETER			 64
#define R1_ADDRESS			 32
#define R1_ERASE_SEQ			 16
#define R1_COM_CRC			  8
#define R1_ILLEGAL_COM			  4
#define R1_ERASE_RESET		  	  2
#define R1_IDLE_STATE		  	  1


#ifndef MMC_ASM


//
// Prototypes
//

u08 MMC_Reset(void);				// init mmc
void MMC_Off(void);				// set to idle state
u08 MMC_Read(u32 lba);
u08 MMC_Write(u32 lba);
u08 MMC_Read_USB(u32 lba, u08 numsectors );
u08 MMC_Write_USB(u32 lba, u08 numsectors );

u32 MMC_Capacity(void);
u08 MMC_Name(void);

#endif


